summaryrefslogtreecommitdiff
path: root/target/device/valka/target_skeleton/etc/rc.d/inetd
diff options
context:
space:
mode:
authorJohn Voltz <john.voltz@gmail.com>2008-03-06 18:59:14 +0000
committerJohn Voltz <john.voltz@gmail.com>2008-03-06 18:59:14 +0000
commitceaf9e8217f29f6c499d03c62612b2eb50e8ed09 (patch)
treec0d1c53c52d050672de9c2fc656b760a2fbe5aa1 /target/device/valka/target_skeleton/etc/rc.d/inetd
parentc46893b7af0e6f0bbc072dc76cb979995ff654fc (diff)
updates and additions for avr32 arch
Diffstat (limited to 'target/device/valka/target_skeleton/etc/rc.d/inetd')
-rwxr-xr-xtarget/device/valka/target_skeleton/etc/rc.d/inetd27
1 files changed, 27 insertions, 0 deletions
diff --git a/target/device/valka/target_skeleton/etc/rc.d/inetd b/target/device/valka/target_skeleton/etc/rc.d/inetd
new file mode 100755
index 000000000..f0d8d8452
--- /dev/null
+++ b/target/device/valka/target_skeleton/etc/rc.d/inetd
@@ -0,0 +1,27 @@
+#!/bin/ash
+. /etc/rc.subr
+
+start() {
+ echo -n " * Starting inetd: "
+ if [ ! -x ${inetd_program} ]; then
+ log_error "Missing 'inetd' program (${inetd_program})"
+ echo "Failed"
+ return 1
+ fi
+
+ ${inetd_program} -f ${inetd_flags} &
+ pid=$!
+ if [ "$?" -eq 0 ]; then
+ echo "${pid}" > ${inetd_pidfile}
+ echo "Ok"
+ else
+ echo "Failed"
+ fi
+}
+
+stop() {
+ echo " * Stopping inetd..."
+ killpid ${inetd_pidfile}
+}
+
+rc_run_command "$1" "inetd"